%global debug_package %{nil}
%global sover 1

%global forgeurl https://github.com/tboox/tbox
Version:        1.7.5
%forgemeta

Name:           tbox
Release:        %autorelease
Summary:        A glib-like multi-platform c library

License:        Apache-2.0
URL:	        %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc
BuildRequires:  make

%description
TBOX is a glib-like cross-platform C library that is simple to use yet powerful
in nature.

The project focuses on making C development easier and provides many modules
(.e.g stream, coroutine, regex, container, algorithm ...), so that any developer
can quickly pick it up and enjoy the productivity boost when developing in C
language.

It supports the following platforms: Windows, Macosx, Linux, Android, iOS, *BSD
and etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%configure \
    --demo=no \
    --kind=shared \
    --prefix=%{buildroot}%{_prefix} \
    --includedir=%{buildroot}%{_includedir} \
    --libdir=%{buildroot}%{_libdir} \

%make_build

%install
%make_install

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libtbox.so.%{sover}*

%files devel
%{_includedir}/tbox/
%{_libdir}/libtbox.so

%changelog
%autochangelog
